globus-gram-job-manager (15.4-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 12:51:10 +0800

globus-gram-job-manager (15.4-1) unstable; urgency=medium

  * Doxygen fixes (15.2)
  * Remove usage statistics collection support (15.3)
  * Add su option to logrotate file (15.4)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 27 Feb 2019 20:00:51 +0100

globus-gram-job-manager (15.1-2) unstable; urgency=medium

  * Bump GCT release version to 6.2

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 16 Nov 2018 13:35:46 +0100

globus-gram-job-manager (15.1-1) unstable; urgency=medium

  * Switch upstream to Grid Community Toolkit
  * First Grid Community Toolkit release (15.0)
    - Disable usage statistics reporting by default
    - Workaround non-implemented features on GNU/Hurd (socket buffer size)
    - Move grid-proxy-destroy call to before starting personal gatekeeper in
      the test wrapper
  * Use 2048 bit RSA key for tests (15.1)
  * Drop patches globus-gram-job-manager-socket-buffer-size.patch and
    globus-gram-job-manager-proxy.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 16 Sep 2018 03:16:31 +0200

globus-gram-job-manager (14.37-1) unstable; urgency=medium

  * GT6 update: Use 2048 bit keys to support openssl 1.1.1
  * Drop patch globus-gram-job-manager-2048-bits.patch (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sat, 01 Sep 2018 20:13:33 +0200

globus-gram-job-manager (14.36-3) unstable; urgency=medium

  * Use 2048 bit RSA key for tests (Closes: #898802)
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 26 Aug 2018 11:03:52 +0200

globus-gram-job-manager (14.36-2) unstable; urgency=medium

  * Migrate to dbgsym packages
  * Support DEB_BUILD_OPTIONS=nocheck

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 06 Jul 2017 12:58:31 +0200

globus-gram-job-manager (14.36-1) unstable; urgency=medium

  * GT6 update: Default to running personal gatekeeper on an ephemeral port

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 25 Jun 2017 20:53:46 +0200

globus-gram-job-manager (14.35-1) unstable; urgency=medium

  * GT6 update: Updated man pages

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 11 Nov 2016 13:55:03 +0100

globus-gram-job-manager (14.33-1) unstable; urgency=medium

  * GT6 Update: Fix issue #71: test leaves process behind
  * Drop patch globus-gram-job-manager-process.patch

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 07 Sep 2016 11:01:52 +0200

globus-gram-job-manager (14.32-1) unstable; urgency=medium

  * GT6 update: Updates for OpenSSL 1.1.0 (Closes: #828315)
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 02 Sep 2016 05:09:31 +0200

globus-gram-job-manager (14.27-3) unstable; urgency=medium

  * Replace ldconfig postinst/postrm scripts with triggers
  * Disable the test stdio-update-after-failure-test (Closes: #820665)
    (This is a workaround, not a proper fix. Issue forwarded upstream.)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 04 May 2016 15:49:55 +0200

globus-gram-job-manager (14.27-2) unstable; urgency=medium

  * Update URLs (use toolkit.globus.org)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 16 Feb 2016 14:06:46 +0100

globus-gram-job-manager (14.27-1) unstable; urgency=medium

  * GT6 update: GT-619: Uninitialized data in job manager cause crash

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Aug 2015 19:51:07 +0200

globus-gram-job-manager (14.26-1) unstable; urgency=medium

  * GT6 update (fix state info for running jobs, man pages updates)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 20 Jun 2015 20:41:55 +0200

globus-gram-job-manager (14.25-3) unstable; urgency=medium

  * Introduce workaround for SO_RCVBUF/SO_SNDBUF not implemented on GNU/Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 29 May 2015 20:58:06 +0200

globus-gram-job-manager (14.25-2) unstable; urgency=medium

  * Set GLOBUS_HOSTNAME during make check

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 20 Feb 2015 05:20:04 +0100

globus-gram-job-manager (14.25-1) unstable; urgency=medium

  * GT6 update
  * Drop patches globus-gram-job-manager-personal-gk.patch and
    globus-gram-job-manager-no-homedir.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 15 Nov 2014 17:43:50 +0100

globus-gram-job-manager (14.22-2) unstable; urgency=medium

  * Don't store globus-personal-gatekeeper data in $HOME during tests
  * Enable verbose tests

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 30 Oct 2014 22:27:59 +0100

globus-gram-job-manager (14.22-1) unstable; urgency=medium

  * GT6 update
  * Includes improvements from Open Science Grid (OSG)
  * Build-Depend on globus-gram-client >> 13.10 and enable tests again
  * Fixes to globus-personal-gatekeeper (fixes parallel make check problems)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 26 Oct 2014 23:29:35 +0100

globus-gram-job-manager (14.20-2) unstable; urgency=medium

  * Don't run tests - they fail due to disabled SSLv3 (Closes: #763857)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 03 Oct 2014 21:52:29 +0200

globus-gram-job-manager (14.20-1) unstable; urgency=medium

  * Update to Globus Toolkit 6.0
  * Drop GPT build system and GPT packaging metadata
  * Enable checks
  * Remove documentation package (Closes: #630034)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 25 Sep 2014 10:34:36 +0200

globus-gram-job-manager (13.53-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.5
  * Implement Multi-Arch support
  * Make globus-seg-job-manager a separate package (Due to Multi-Arch)
  * Split dbg package for Multi-Arch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 11 Nov 2013 16:04:04 +0100

globus-gram-job-manager (13.51-2) unstable; urgency=low

  * Add arm64 to the list of 64 bit architectures

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 27 May 2013 05:59:08 +0200

globus-gram-job-manager (13.51-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 16 Dec 2012 19:22:59 +0100

globus-gram-job-manager (13.48-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.2
  * Drop patch globus-gram-job-manager-porting.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 23 Jul 2012 13:33:48 +0200

globus-gram-job-manager (13.33-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.1
  * Drop patch globus-gram-job-manager-deps.patch (fixed upstream)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sun, 29 Apr 2012 23:12:22 +0200

globus-gram-job-manager (13.14-5) unstable; urgency=low

  * Fix directory ownership

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 02 Feb 2012 21:57:46 +0100

globus-gram-job-manager (13.14-4) unstable; urgency=low

  * debian/rules cleanup

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 24 Jan 2012 23:35:08 +0100

globus-gram-job-manager (13.14-3) unstable; urgency=low

  * Add missing Build-Depends: globus-common-progs and libxml2-dev
  * Portability fixes
  * Fix broken links in README file

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 19 Jan 2012 06:14:08 +0100

globus-gram-job-manager (13.14-2) unstable; urgency=low

  * Fix typo in Depends

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 10 Jan 2012 20:18:21 +0100

globus-gram-job-manager (13.14-1) unstable; urgency=low

  * Update to Globus Toolkit 5.2.0
  * Drop patches globus-gram-job-manager-doxygen.patch,
    globus-gram-job-manager.patch, globus-gram-job-manager-pathmax.patch and
    globus-gram-job-manager-undefined.patch (fixed upstream)
  * Make doc package architecture independent

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 30 Dec 2011 13:35:02 +0100

globus-gram-job-manager (10.70-2) unstable; urgency=low

  * Fix FTBFS with new dpkg (Closes: #643481)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 03 Oct 2011 05:24:45 +0200

globus-gram-job-manager (10.70-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.4
  * Fix doxygen markup
  * Use system jquery script

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 06 Jun 2011 17:32:12 +0200

globus-gram-job-manager (10.67-3) unstable; urgency=low

  * Add README file
  * Use new doxygen-latex build dependency (Closes: #616227)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 27 Apr 2011 08:08:00 +0200

globus-gram-job-manager (10.67-2) unstable; urgency=low

  * Updated patch

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 19 Apr 2011 11:05:34 +0200

globus-gram-job-manager (10.67-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.3

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Sat, 26 Feb 2011 17:40:46 +0100

globus-gram-job-manager (10.59-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.2
  * Move client and server man pages to main package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Jul 2010 14:19:46 +0200

globus-gram-job-manager (10.42-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)
  * Add new build dependency on texlive-font-utils due to changes in texlive
    packaging (epstopdf moved there) (Closes: #583050)
  * Additional porting for GNU Hurd

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 19 Apr 2010 06:06:23 +0200

globus-gram-job-manager (10.42-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.1

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 15 Apr 2010 18:53:52 +0200

globus-gram-job-manager (10.17-2) unstable; urgency=low

  * Fix broken Depends

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Wed, 24 Feb 2010 04:38:29 +0100

globus-gram-job-manager (10.17-1) unstable; urgency=low

  * Update to Globus Toolkit 5.0.0
  * Add debug package

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Thu, 28 Jan 2010 01:05:28 +0100

globus-gram-job-manager (8.15-2) unstable; urgency=low

  * Fix broken Depends.

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Tue, 08 Sep 2009 09:10:58 +0200

globus-gram-job-manager (8.15-1) unstable; urgency=low

  * Initial release (Closes: #540277).

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 07 Aug 2009 15:28:38 +0200
